<template>
  <div>
    <List v-show="activeName==='List'" ref="list" />
    <Info v-if="activeName==='Info'" />
    <HiddenList v-if="activeName==='HiddenList'" />
    <Assign v-if="activeName==='Assign'" />
    <Accept v-if="activeName==='Accept'" />
    <Detail v-if="activeName==='Detail'" />
  </div>
</template>

<script>
import List from './components/list'
import Info from './components/info'
import HiddenList from './components/hiddenlist'
import Assign from './components/assign'
import Accept from './components/accept'
import Detail from './components/detail'
export default {
  components: {
    Detail,
    List,
    Info,
    HiddenList,
    Assign,
    Accept
  },
  data() {
    return {
      activeName: 'List',
      INSPECTION_ID: '',
      HIDDEN_ID: '',
      HIDDEN_STATUS: ''
    }
  },
  watch: {
    activeName(newValue, oldValue) {
      if (newValue == 'List') {
        this.$refs.list.getQuery()
      }
    }
  }
}
</script>

<style scoped>

</style>
